rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
legacy.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | dodigest (int digestalgo, const char *fn, unsigned char *digest, int asAscii, size_t *fsizep)
| Return digest and size of a file. More...

## Variables
int | _noDirTokens

## Function Documentation

int dodigest | ( | int | digestalgo,
|  | const char * | fn,
|  | unsigned char * | digest,
|  | int | asAscii,
|  | size_t * | fsizep
| ) |  |

Return digest and size of a file.

Parameters

  digestalgo | digest algorithm to use
  fn | file name

Return values

  digest | address of md5sum

Parameters

  asAscii | return md5sum as ascii string?

Return values

  *fsizep | file size pointer (or NULL)

Returns
  0 on success, 1 on error

Definition at line 156 of file legacy.c.

References _free(), Fclose(), fdDup(), fdFiniDigest(), fdInitDigest(), Ferror(), Fopen(), Fread(), open_dso(), RPMDIGEST_NONE, rpmDigestFinal(), rpmDigestInit(), rpmDigestUpdate(), URL_IS_DASH, URL_IS_FTP, URL_IS_HKP, URL_IS_HTTP, URL_IS_HTTPS, URL_IS_PATH, URL_IS_UNKNOWN, and urlPath().

Referenced by genCpioListAndHeader(), handleOverlappedFiles(), rpmAddSignature(), rpmfiDecideFate(), and rpmVerifyFile().

## Variable Documentation

int _noDirTokens